# doc

## Purpose

Generates javadoc and groovydoc documentation from the current Grails project.

## Examples

    grails doc

## Description

Since Grails is a mixed source framework it is useful to have both Java and Groovy documentation to cover the system. The doc command generates javadoc (the standard format for Java documentation) and groovydoc comments.

The documentation itself is generated into the following directories:

- `docs/api` - Location of javadoc comments
- `docs/gapi` - Location of groovydoc comments

Usage:

    grails doc

Fired Events:

- `DocStart` - Before documentation generation begins
- `DocEnd` - After documentation generation completes